#include "mainwindow.h"
#include <QTextEdit>
#include <QFontDialog>
#include <QDebug>

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
{
    bool ok;

    QFont font = QFontDialog::getFont(&ok, QFont("Osaka"));
    qDebug()<<"Family: "<<font.family()<<"Style: "<<font.styleName();

    QTextEdit *textEdit = new QTextEdit(this);
    textEdit->setFont(font);

    QString text;
    text+="Family: "+font.family()+" Style: "+font.styleName()+"\n";
    text+="aaa\nbbb\nccc";

    textEdit->setText(text);
    setCentralWidget(textEdit);
}

MainWindow::~MainWindow()
{
}
